/***********************************************************
	DDL generation
	RDM schema       : "Model1 1.0 (ERX->RDM)"
	RDM file         : "(1) (serv)   .rdm"
	Generated on     : 24.11.2002 18:19:35
	By               : RDM-ODBC interface
***********************************************************/
/***********************************************************
	CREATE STATEMENTS
***********************************************************/

/***********************************************************
	Table "Address"
***********************************************************/

CREATE TABLE Address
(
    AdrGID          INT NOT NULL,
    AdrLID          INT NOT NULL,
    AdrHousNum      VARCHAR2(10),
    AdrRoomNum      VARCHAR2(5),
    CityGID         INT,
    StrGID          INT,
    CrDate          DATE NOT NULL,
    LastUpdate      DATE NOT NULL,
    UserGID         INT NOT NULL,
    WstGID          INT NOT NULL,
    PRIMARY KEY (AdrGID)
);

/***********************************************************
	Table "AuxCity"
***********************************************************/

CREATE TABLE AuxCity
(
    CityLID         INT NOT NULL,
    CityGID         INT NOT NULL,
    WstGID          INT NOT NULL,
    PRIMARY KEY (WstGID, CityLID)
);

/***********************************************************
	Table "AuxPost"
***********************************************************/

CREATE TABLE AuxPost
(
    PosLID          INT NOT NULL,
    WstGID          INT NOT NULL,
    PosGID          INT NOT NULL,
    PRIMARY KEY (WstGID, PosLID)
);

/***********************************************************
	Table "AuxRegistrationArea"
***********************************************************/

CREATE TABLE AuxRegistrationArea
(
    AreaLID         INT NOT NULL,
    WstGID          INT NOT NULL,
    AreaGID         INT NOT NULL,
    PRIMARY KEY (WstGID, AreaLID)
);

/***********************************************************
	Table "AuxStreet"
***********************************************************/

CREATE TABLE AuxStreet
(
    StrLID          INT NOT NULL,
    StrGID          INT NOT NULL,
    WstGID          INT NOT NULL,
    PRIMARY KEY (WstGID, StrLID)
);

/***********************************************************
	Table "Brigade"
***********************************************************/

CREATE TABLE Brigade
(
    BrgGID          INT NOT NULL,
    BrgName         VARCHAR2(255),
    CityGID         INT,
    PRIMARY KEY (BrgGID)
);

/***********************************************************
	Table "BrigHsp"
***********************************************************/

CREATE TABLE BrigHsp
(
    HspGID          INT NOT NULL,
    BrgGID          INT NOT NULL,
    PRIMARY KEY (HspGID, BrgGID)
);

/***********************************************************
	Table "City"
***********************************************************/

CREATE TABLE City
(
    CityGID         INT NOT NULL,
    CityName        VARCHAR2(50) NOT NULL,
    CitySoato       VARCHAR2(10),
    CityOkato       VARCHAR2(13),
    RegGID          INT,
    PRIMARY KEY (CityGID)
);

/***********************************************************
	Table "Diagnosis"
***********************************************************/

CREATE TABLE Diagnosis
(
    DiagGID         INT NOT NULL,
    DiagName        VARCHAR2(255) NOT NULL,
    DiagESVSID      INT,
    PRIMARY KEY (DiagGID),
    UNIQUE (DiagName)
);

/***********************************************************
	Table "DocType"
***********************************************************/

CREATE TABLE DocType
(
    DtpGID          INT NOT NULL,
    DtpName         VARCHAR2(50) NOT NULL,
    PRIMARY KEY (DtpGID),
    UNIQUE (DtpName)
);

/***********************************************************
	Table "Document"
***********************************************************/

CREATE TABLE Document
(
    DocGID          INT NOT NULL,
    DocLID          INT NOT NULL,
    DocDate         DATE NOT NULL,
    DocNumber       VARCHAR2(10),
    DtpGID          INT NOT NULL,
    PrnGID          INT NOT NULL,
    CrDate          DATE NOT NULL,
    LastUpdate      DATE NOT NULL,
    WstGID          INT NOT NULL,
    UserGID         INT NOT NULL,
    PRIMARY KEY (DocGID)
);

/***********************************************************
	Table "Hospital"
***********************************************************/

CREATE TABLE Hospital
(
    HspGID          INT NOT NULL,
    IDMU            INT NOT NULL,
    MU              VARCHAR2(100) NOT NULL,
    MUFL            VARCHAR2(250),
    CODMU           VARCHAR2(10),
    IDTMU           INT,
    OFFICE          SMALLINT,
    SURNAMER        VARCHAR2(50),
    NAME_R          VARCHAR2(30),
    SECNAMER        VARCHAR2(30),
    RSECNAME        SMALLINT,
    IDPOST          INT,
    PHONE_R         VARCHAR2(20),
    CNTPHONE        VARCHAR2(20),
    FAX             VARCHAR2(20),
    FAXREG          SMALLINT,
    EMAIL           VARCHAR2(32),
    EMSIZE          VARCHAR2(10),
    IDADRES         INT,
    MAILCODE        VARCHAR2(6),
    MAILADR         VARCHAR2(250),
    HOUSE           SMALLINT,
    HOUSELIT        VARCHAR2(2),
    CORPUS          SMALLINT,
    OMS             SMALLINT,
    BGDATE          DATE,
    BGREASON        VARCHAR2(100),
    CLDATE          DATE,
    CLREASON        VARCHAR2(100),
    CRDATE          DATE,
    HtpGID          INT,
    RegGID          INT,
    PRIMARY KEY (HspGID)
);

/***********************************************************
	Table "HospType"
***********************************************************/

CREATE TABLE HospType
(
    HtpGID          INT NOT NULL,
    IDTMU           INT NOT NULL,
    TMU             VARCHAR2(250),
    CODTMU          VARCHAR2(10),
    BGDATE          DATE,
    BGREASON        VARCHAR2(100),
    CLDATE          DATE,
    CLREASON        VARCHAR2(100),
    CRDATE          DATE,
    PRIMARY KEY (HtpGID),
    UNIQUE (IDTMU)
);

/***********************************************************
	Table "MapDiag"
***********************************************************/

CREATE TABLE MapDiag
(
    DocGID          INT NOT NULL,
    DiagGID         INT NOT NULL,
    DiagType        SMALLINT NOT NULL,
    CrDate          DATE NOT NULL,
    LastUpdate      DATE NOT NULL,
    WstGID          INT NOT NULL,
    UserGID         INT NOT NULL,
    PRIMARY KEY (DiagGID, DocGID, DiagType)
);

/***********************************************************
	Table "MedPreparat"
***********************************************************/

CREATE TABLE MedPreparat
(
    MprGID          INT NOT NULL,
    MprCode         VARCHAR2(10),
    MprName1        VARCHAR2(100) NOT NULL,
    MprName2        VARCHAR2(100),
    MprDose         FLOAT,
    MprNumber       SMALLINT,
    MprDoseDay      FLOAT,
    MpgGID          INT NOT NULL,
    PRIMARY KEY (MprGID)
);

/***********************************************************
	Table "MedPrepGroup"
***********************************************************/

CREATE TABLE MedPrepGroup
(
    MpgGID          INT NOT NULL,
    MpgName         VARCHAR2(50) NOT NULL,
    MpgCode         VARCHAR2(10),
    MpgPntGID       INT,
    PRIMARY KEY (MpgGID)
);

/***********************************************************
	Table "Operator"
***********************************************************/

CREATE TABLE Operator
(
    WstGID          INT NOT NULL,
    UserGID         INT NOT NULL,
    UserName        VARCHAR2(20) NOT NULL,
    UserHash        VARCHAR2(20) NOT NULL,
    UserLevel       SMALLINT NOT NULL,
    PRIMARY KEY (WstGID, UserGID)
);

/***********************************************************
	Table "Person"
***********************************************************/

CREATE TABLE Person
(
    PrnGID          INT NOT NULL,
    PrnLID          INT NOT NULL,
    PrnSurName      VARCHAR2(15) NOT NULL,
    PrnName         VARCHAR2(15),
    PrnOtch         VARCHAR2(15),
    PrnSex          SMALLINT,
    PrnDate         DATE,
    PrnMdnName      VARCHAR2(15),
    PrnPhone        VARCHAR2(15),
    AreaGID         INT,
    PosGID          INT,
    AdrGID          INT,
    PrnRefGID       INT,
    CrDate          DATE NOT NULL,
    LastUpdate      DATE NOT NULL,
    WstGID          INT NOT NULL,
    UserGID         INT NOT NULL,
    PRIMARY KEY (PrnGID)
);

/***********************************************************
	Table "Post"
***********************************************************/

CREATE TABLE Post
(
    PosGID          INT NOT NULL,
    PosName         VARCHAR2(50) NOT NULL,
    PRIMARY KEY (PosGID)
);

/***********************************************************
	Table "PrimaryInspection"
***********************************************************/

CREATE TABLE PrimaryInspection
(
    DocGID          INT NOT NULL,
    DocLID          INT NOT NULL,
    PinNumber       VARCHAR2(10),
    PinInsCode      VARCHAR2(10),
    PinInsDate      DATE,
    ObjCAD          SMALLINT,
    ObjDAD          SMALLINT,
    ObjCircTh       FLOAT,
    ObjCircWst      FLOAT,
    ObjGrowth       FLOAT,
    ObjMass         FLOAT,
    IndexKetle      FLOAT,
    CmpHeadach      VARCHAR2(3),
    CmpGiddine      SMALLINT,
    CmpNoise        SMALLINT,
    CmpLowerin      SMALLINT,
    CmpFatig        SMALLINT,
    CmpDiffic       SMALLINT,
    CmpIrritab      SMALLINT,
    CmpUrInc        SMALLINT,
    CmpUrStran      SMALLINT,
    CmpUrNight      SMALLINT,
    CmpUrColor      SMALLINT,
    CmpBrFast       SMALLINT,
    CmpBrSlow       SMALLINT,
    PinPrepAD       SMALLINT,
    HypFather       SMALLINT,
    HypMother       SMALLINT,
    InfFather       SMALLINT,
    InfMother       SMALLINT,
    InsFather       SMALLINT,
    InsMother       SMALLINT,
    DiabetFather    SMALLINT,
    DiabetMother    SMALLINT,
    Smoking         SMALLINT,
    Spirits         SMALLINT,
    AlsUrAlbum      FLOAT,
    AlsUrLeucs      FLOAT,
    AlsUrRed        FLOAT,
    AlsBlHb         FLOAT,
    AlsBlCOE        FLOAT,
    AlsBlRed        FLOAT,
    AlsBlChol       FLOAT,
    AlsBlGluk       FLOAT,
    EKGHemChng      SMALLINT,
    EKGDeprSt       SMALLINT,
    EKGNegT         SMALLINT,
    EyeAngGip       SMALLINT,
    EyeAngAter      SMALLINT,
    Dispanser       SMALLINT,
    MprGID1         INT,
    MprDose1        FLOAT,
    MprFreq1        SMALLINT,
    MprGID2         INT,
    MprDose2        FLOAT,
    MprFreq2        SMALLINT,
    CrDate          DATE NOT NULL,
    LastUpdate      DATE NOT NULL,
    WstGID          INT NOT NULL,
    UserGID         INT NOT NULL,
    PRIMARY KEY (DocGID)
);

/***********************************************************
	Table "PrimDiag"
***********************************************************/

CREATE TABLE PrimDiag
(
    DocGID          INT NOT NULL,
    DiagGID         INT NOT NULL,
    DiagType        SMALLINT NOT NULL,
    CrDate          DATE NOT NULL,
    LastUpdate      DATE NOT NULL,
    WstGID          INT NOT NULL,
    UserGID         INT NOT NULL,
    PRIMARY KEY (DiagGID, DocGID, DiagType)
);

/***********************************************************
	Table "Region"
***********************************************************/

CREATE TABLE Region
(
    RegGID          INT NOT NULL,
    RegName         VARCHAR2(255) NOT NULL,
    RegOkato        VARCHAR2(13) NOT NULL,
    PRIMARY KEY (RegGID),
    UNIQUE (RegOkato)
);

/***********************************************************
	Table "RegistrationArea"
***********************************************************/

CREATE TABLE RegistrationArea
(
    AreaGID         INT NOT NULL,
    AreaCode        VARCHAR2(10) NOT NULL,
    HspGID          INT NOT NULL,
    PRIMARY KEY (AreaGID)
);

/***********************************************************
	Table "ScriningCard"
***********************************************************/

CREATE TABLE ScriningCard
(
    DocGID          INT NOT NULL,
    DocLID          INT NOT NULL,
    CardNumber      VARCHAR2(10),
    CardCode        VARCHAR2(10),
    CardSec         SMALLINT,
    CardDate        DATE,
    Hyper           SMALLINT,
    HyperDate       SMALLINT,
    ADHi            SMALLINT,
    ADHiDate        SMALLINT,
    Stenokardia     SMALLINT,
    StenokardiaDate SMALLINT,
    Infarct         SMALLINT,
    InfarctDate     SMALLINT,
    Insult          SMALLINT,
    InsultDate      SMALLINT,
    Diabet          SMALLINT,
    DiabetDate      SMALLINT,
    Pielonefrit     SMALLINT,
    PielonefritDate SMALLINT,
    Pochki          SMALLINT,
    PochkiDate      SMALLINT,
    PochkiBerem     SMALLINT,
    PochkiBeremDate SMALLINT,
    MochekamBolez   SMALLINT,
    MochekamBolezDate SMALLINT,
    PochkiSol       SMALLINT,
    PochkiSolDate   SMALLINT,
    Yazva           SMALLINT,
    YazvaDate       SMALLINT,
    Gepatit         SMALLINT,
    GepatitDate     SMALLINT,
    Preparat        SMALLINT,
    Prep1GID        INT,
    Prep1Dose       FLOAT,
    Prep1Day        SMALLINT,
    Prep1DayBack    SMALLINT,
    Prep2GID        INT,
    Prep2Dose       FLOAT,
    Prep2Day        SMALLINT,
    Prep2DayBack    SMALLINT,
    MotherHyper     SMALLINT,
    MotherADHi      SMALLINT,
    MotherStenokardia SMALLINT,
    MotherInfarkt   SMALLINT,
    MotherInsult    SMALLINT,
    MotherDiabet    SMALLINT,
    MotherTuber     SMALLINT,
    MotherPochki    SMALLINT,
    FatherHyper     SMALLINT,
    FatherADHi      SMALLINT,
    FatherStenokardia SMALLINT,
    FatherInfarkt   SMALLINT,
    FatherInsult    SMALLINT,
    FatherDiabet    SMALLINT,
    FatherTuber     SMALLINT,
    FatherPochki    SMALLINT,
    AlkBeer         SMALLINT,
    AlkBeerCount    FLOAT,
    AlkBeerFreq     SMALLINT,
    AlkWine         SMALLINT,
    AlkWineCount    FLOAT,
    AlkWineFreq     SMALLINT,
    AlkVodka        SMALLINT,
    AlkVodkaCount   FLOAT,
    AlkVodkaFreq    SMALLINT,
    Smoking         SMALLINT,
    SmokingBrosilLet SMALLINT,
    SmokingSigarCount SMALLINT,
    Kashel          SMALLINT,
    MokrotaORVI     SMALLINT,
    MokrotaLet      SMALLINT,
    Rous11          SMALLINT,
    Rous12          SMALLINT,
    Rous21          SMALLINT,
    Rous22          SMALLINT,
    Rous3           SMALLINT,
    Rous4           SMALLINT,
    Rous5           SMALLINT,
    Rous6           SMALLINT,
    Rous7           SMALLINT,
    Rous7Where      VARCHAR2(4),
    Rous8           SMALLINT,
    Rous8Where      VARCHAR2(255),
    Rous9Let        SMALLINT,
    GolovaBolMorning SMALLINT,
    GolovaBolDay    SMALLINT,
    GolovaBolEvening SMALLINT,
    Golovokrugenie  SMALLINT,
    GolovaShum      SMALLINT,
    MemLow          SMALLINT,
    UtomlaemostHi   SMALLINT,
    RabotaTrudno    SMALLINT,
    RazdrajHi       SMALLINT,
    UrChasto        SMALLINT,
    UrRezi          SMALLINT,
    UrNight         SMALLINT,
    UrColorIzm      SMALLINT,
    OtdyshkaBystro  SMALLINT,
    OtdyshkaSpokoyno SMALLINT,
    FamilyStatus    SMALLINT,
    PostGID         INT,
    PostDate        DATE,
    Rost            FLOAT,
    Massa           FLOAT,
    Konstitutcia    SMALLINT,
    Jir             SMALLINT,
    SizeGrud        FLOAT,
    SizeTalia       FLOAT,
    SizeBedra       FLOAT,
    IndexKetle      FLOAT,
    AD1Hi           SMALLINT,
    AD1Low          SMALLINT,
    AD2Hi           SMALLINT,
    AD2Low          SMALLINT,
    ADSredHi        SMALLINT,
    ADSredLow       SMALLINT,
    Puls            SMALLINT,
    PulsType        SMALLINT,
    PasternakRight  SMALLINT,
    PasternakLeft   SMALLINT,
    BloodGluk       FLOAT,
    Holest          FLOAT,
    HolestLPVP      FLOAT,
    Trigliceridy    FLOAT,
    Gemoglobin      FLOAT,
    Eritrocity      FLOAT,
    COE             FLOAT,
    Dispanser       SMALLINT,
    CrDate          DATE NOT NULL,
    LastUpdate      DATE NOT NULL,
    WstGID          INT NOT NULL,
    UserGID         INT NOT NULL,
    PRIMARY KEY (DocGID)
);

/***********************************************************
	Table "Street"
***********************************************************/

CREATE TABLE Street
(
    StrGID          INT NOT NULL,
    StrName         VARCHAR2(50) NOT NULL,
    CityGID         INT,
    PRIMARY KEY (StrGID)
);

/***********************************************************
	Table "Workstation"
***********************************************************/

CREATE TABLE Workstation
(
    WstGID          INT NOT NULL,
    WstName         VARCHAR2(100) NOT NULL,
    WstRplDate      DATE,
    HspGID          INT,
    BrgGID          INT,
    PRIMARY KEY (WstGID),
    UNIQUE (WstName)
);

/***********************************************************
	Foreign keys of table "Address"
***********************************************************/

ALTER TABLE Address ADD (
    CONSTRAINT FK_Address_LUpUser FOREIGN KEY (WstGID, UserGID)
        REFERENCES Operator,
    CONSTRAINT FK_Address_City FOREIGN KEY (CityGID)
        REFERENCES City,
    CONSTRAINT FK_Address_Street FOREIGN KEY (StrGID)
        REFERENCES Street);

/***********************************************************
	Foreign keys of table "AuxCity"
***********************************************************/

ALTER TABLE AuxCity ADD (
    CONSTRAINT FK_AuxCity_City FOREIGN KEY (CityGID)
        REFERENCES City,
    CONSTRAINT FK_AuxCity_Worksta FOREIGN KEY (WstGID)
        REFERENCES Workstation);

/***********************************************************
	Foreign keys of table "AuxPost"
***********************************************************/

ALTER TABLE AuxPost ADD (
    CONSTRAINT FK_Aux_Pos FOREIGN KEY (PosGID)
        REFERENCES Post,
    CONSTRAINT FK_Aux_Wor FOREIGN KEY (WstGID)
        REFERENCES Workstation);

/***********************************************************
	Foreign keys of table "AuxRegistrationArea"
***********************************************************/

ALTER TABLE AuxRegistrationArea ADD (
    CONSTRAINT FK_Aux_Reg FOREIGN KEY (AreaGID)
        REFERENCES RegistrationArea,
    CONSTRAINT FK_Aux_Wor2 FOREIGN KEY (WstGID)
        REFERENCES Workstation);

/***********************************************************
	Foreign keys of table "AuxStreet"
***********************************************************/

ALTER TABLE AuxStreet ADD (
    CONSTRAINT FK_AuxStre_Street FOREIGN KEY (StrGID)
        REFERENCES Street,
    CONSTRAINT FK_AuxStre_Worksta FOREIGN KEY (WstGID)
        REFERENCES Workstation);

/***********************************************************
	Foreign keys of table "Brigade"
***********************************************************/

ALTER TABLE Brigade ADD (
    CONSTRAINT FK_Brigade_City FOREIGN KEY (CityGID)
        REFERENCES City);

/***********************************************************
	Foreign keys of table "BrigHsp"
***********************************************************/

ALTER TABLE BrigHsp ADD (
    CONSTRAINT FK_BrigHsp_Brigade FOREIGN KEY (BrgGID)
        REFERENCES Brigade,
    CONSTRAINT FK_BrigHsp_Hospita FOREIGN KEY (HspGID)
        REFERENCES Hospital);

/***********************************************************
	Foreign keys of table "City"
***********************************************************/

ALTER TABLE City ADD (
    CONSTRAINT FK_City_Region FOREIGN KEY (RegGID)
        REFERENCES Region);

/***********************************************************
	Foreign keys of table "Document"
***********************************************************/

ALTER TABLE Document ADD (
    CONSTRAINT FK_Documen_DocType FOREIGN KEY (DtpGID)
        REFERENCES DocType,
    CONSTRAINT FK_Documen_Operato FOREIGN KEY (WstGID, UserGID)
        REFERENCES Operator,
    CONSTRAINT FK_Documen_Person FOREIGN KEY (PrnGID)
        REFERENCES Person);

/***********************************************************
	Foreign keys of table "Hospital"
***********************************************************/

ALTER TABLE Hospital ADD (
    CONSTRAINT FK_Hospita_LUpHosp FOREIGN KEY (HtpGID)
        REFERENCES HospType,
    CONSTRAINT FK_Hospita_Region FOREIGN KEY (RegGID)
        REFERENCES Region);

/***********************************************************
	Foreign keys of table "MapDiag"
***********************************************************/

ALTER TABLE MapDiag ADD (
    CONSTRAINT FK_MapDiag_Table_1 FOREIGN KEY (DiagGID)
        REFERENCES Diagnosis,
    CONSTRAINT FK_MapDiag_Operato FOREIGN KEY (WstGID, UserGID)
        REFERENCES Operator,
    CONSTRAINT FK_Map_Scr FOREIGN KEY (DocGID)
        REFERENCES ScriningCard);

/***********************************************************
	Foreign keys of table "MedPreparat"
***********************************************************/

ALTER TABLE MedPreparat ADD (
    CONSTRAINT FK_MedPrGr_LUpMedP FOREIGN KEY (MpgGID)
        REFERENCES MedPrepGroup);

/***********************************************************
	Foreign keys of table "MedPrepGroup"
***********************************************************/

ALTER TABLE MedPrepGroup ADD (
    CONSTRAINT FK_MedPrep_LUpMedP FOREIGN KEY (MpgPntGID)
        REFERENCES MedPrepGroup);

/***********************************************************
	Foreign keys of table "Operator"
***********************************************************/

ALTER TABLE Operator ADD (
    CONSTRAINT FK_Operato_LUpLoca FOREIGN KEY (WstGID)
        REFERENCES Workstation);

/***********************************************************
	Foreign keys of table "Person"
***********************************************************/

ALTER TABLE Person ADD (
    CONSTRAINT FK_Person_Operato FOREIGN KEY (WstGID, UserGID)
        REFERENCES Operator,
    CONSTRAINT FK_Person_have FOREIGN KEY (AdrGID)
        REFERENCES Address,
    CONSTRAINT FK_Person_Registr FOREIGN KEY (AreaGID)
        REFERENCES RegistrationArea,
    CONSTRAINT FK_Person_Post FOREIGN KEY (PosGID)
        REFERENCES Post,
    CONSTRAINT FK_Person_Person_ FOREIGN KEY (PrnRefGID)
        REFERENCES Person);

/***********************************************************
	Foreign keys of table "PrimaryInspection"
***********************************************************/

ALTER TABLE PrimaryInspection ADD (
    CONSTRAINT FK_Primary_LUpMed2 FOREIGN KEY (MprGID1)
        REFERENCES MedPreparat,
    CONSTRAINT FK_Primary_LUpMedP FOREIGN KEY (MprGID2)
        REFERENCES MedPreparat,
    CONSTRAINT FK_Primary_Documen FOREIGN KEY (DocGID)
        REFERENCES Document,
    CONSTRAINT FK_Pri_Ope FOREIGN KEY (WstGID, UserGID)
        REFERENCES Operator);

/***********************************************************
	Foreign keys of table "PrimDiag"
***********************************************************/

ALTER TABLE PrimDiag ADD (
    CONSTRAINT FK_PrimDia_Operato FOREIGN KEY (WstGID, UserGID)
        REFERENCES Operator,
    CONSTRAINT FK_PrimDia_Table_1 FOREIGN KEY (DiagGID)
        REFERENCES Diagnosis,
    CONSTRAINT FK_PrimDia_Primary FOREIGN KEY (DocGID)
        REFERENCES PrimaryInspection);

/***********************************************************
	Foreign keys of table "RegistrationArea"
***********************************************************/

ALTER TABLE RegistrationArea ADD (
    CONSTRAINT FK_Registr_Hospita FOREIGN KEY (HspGID)
        REFERENCES Hospital);

/***********************************************************
	Foreign keys of table "ScriningCard"
***********************************************************/

ALTER TABLE ScriningCard ADD (
    CONSTRAINT FK_Scr_Med2 FOREIGN KEY (Prep1GID)
        REFERENCES MedPreparat,
    CONSTRAINT FK_Scr_Med FOREIGN KEY (Prep2GID)
        REFERENCES MedPreparat,
    CONSTRAINT FK_Scr_Ope FOREIGN KEY (WstGID, UserGID)
        REFERENCES Operator,
    CONSTRAINT FK_Scr_Doc FOREIGN KEY (DocGID)
        REFERENCES Document,
    CONSTRAINT ScrinPost FOREIGN KEY (PostGID)
        REFERENCES Post);

/***********************************************************
	Foreign keys of table "Street"
***********************************************************/

ALTER TABLE Street ADD (
    CONSTRAINT FK_Street_City FOREIGN KEY (CityGID)
        REFERENCES City);

/***********************************************************
	Foreign keys of table "Workstation"
***********************************************************/

ALTER TABLE Workstation ADD (
    CONSTRAINT FK_Worksta_LUpHosp FOREIGN KEY (HspGID)
        REFERENCES Hospital,
    CONSTRAINT FK_Worksta_Brigade FOREIGN KEY (BrgGID)
        REFERENCES Brigade);

/***********************************************************
	Trigger "AdrIdent"
***********************************************************/

CREATE SEQUENCE AdrIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER AdrIdentTrig
  BEFORE INSERT ON Address REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.AdrGID IS NULL)
    BEGIN
      SELECT AdrIdentSeq.NEXTVAL INTO :New.AdrGID FROM DUAL;
    END AdrIdentTrig;
/

/***********************************************************
	Trigger "BrgIdent"
***********************************************************/

CREATE SEQUENCE BrgIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER BrgIdentTrig
  BEFORE INSERT ON Brigade REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.BrgGID IS NULL)
    BEGIN
      SELECT BrgIdentSeq.NEXTVAL INTO :New.BrgGID FROM DUAL;
    END BrgIdentTrig;
/

/***********************************************************
	Trigger "CityIdent"
***********************************************************/

CREATE SEQUENCE CityIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER CityIdentTrig
  BEFORE INSERT ON City REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.CityGID IS NULL)
    BEGIN
      SELECT CityIdentSeq.NEXTVAL INTO :New.CityGID FROM DUAL;
    END CityIdentTrig;
/

/***********************************************************
	Trigger "DiagIdent"
***********************************************************/

CREATE SEQUENCE DiagIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER DiagIdentTrig
  BEFORE INSERT ON Diagnosis REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.DiagGID IS NULL)
    BEGIN
      SELECT DiagIdentSeq.NEXTVAL INTO :New.DiagGID FROM DUAL;
    END DiagIdentTrig;
/

/***********************************************************
	Trigger "DtpIdent"
***********************************************************/

CREATE SEQUENCE DtpIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER DtpIdentTrig
  BEFORE INSERT ON DocType REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.DtpGID IS NULL)
    BEGIN
      SELECT DtpIdentSeq.NEXTVAL INTO :New.DtpGID FROM DUAL;
    END DtpIdentTrig;
/

/***********************************************************
	Trigger "DocIdent"
***********************************************************/

CREATE SEQUENCE DocIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER DocIdentTrig
  BEFORE INSERT ON Document REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.DocGID IS NULL)
    BEGIN
      SELECT DocIdentSeq.NEXTVAL INTO :New.DocGID FROM DUAL;
    END DocIdentTrig;
/

/***********************************************************
	Trigger "HspIdent"
***********************************************************/

CREATE SEQUENCE HspIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER HspIdentTrig
  BEFORE INSERT ON Hospital REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.HspGID IS NULL)
    BEGIN
      SELECT HspIdentSeq.NEXTVAL INTO :New.HspGID FROM DUAL;
    END HspIdentTrig;
/

/***********************************************************
	Trigger "HtpIdent"
***********************************************************/

CREATE SEQUENCE HtpIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER HtpIdentTrig
  BEFORE INSERT ON HospType REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.HtpGID IS NULL)
    BEGIN
      SELECT HtpIdentSeq.NEXTVAL INTO :New.HtpGID FROM DUAL;
    END HtpIdentTrig;
/

/***********************************************************
	Trigger "MprIdent"
***********************************************************/

CREATE SEQUENCE MprIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER MprIdentTrig
  BEFORE INSERT ON MedPreparat REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.MprGID IS NULL)
    BEGIN
      SELECT MprIdentSeq.NEXTVAL INTO :New.MprGID FROM DUAL;
    END MprIdentTrig;
/

/***********************************************************
	Trigger "MpgIdent"
***********************************************************/

CREATE SEQUENCE MpgIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER MpgIdentTrig
  BEFORE INSERT ON MedPrepGroup REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.MpgGID IS NULL)
    BEGIN
      SELECT MpgIdentSeq.NEXTVAL INTO :New.MpgGID FROM DUAL;
    END MpgIdentTrig;
/

/***********************************************************
	Trigger "UserIdent"
***********************************************************/

CREATE SEQUENCE UserIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER UserIdentTrig
  BEFORE INSERT ON Operator REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.UserGID IS NULL)
    BEGIN
      SELECT UserIdentSeq.NEXTVAL INTO :New.UserGID FROM DUAL;
    END UserIdentTrig;
/

/***********************************************************
	Trigger "PrnIdent"
***********************************************************/

CREATE SEQUENCE PrnIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER PrnIdentTrig
  BEFORE INSERT ON Person REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.PrnGID IS NULL)
    BEGIN
      SELECT PrnIdentSeq.NEXTVAL INTO :New.PrnGID FROM DUAL;
    END PrnIdentTrig;
/

/***********************************************************
	Trigger "PosIdent"
***********************************************************/

CREATE SEQUENCE PosIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER PosIdentTrig
  BEFORE INSERT ON Post REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.PosGID IS NULL)
    BEGIN
      SELECT PosIdentSeq.NEXTVAL INTO :New.PosGID FROM DUAL;
    END PosIdentTrig;
/

/***********************************************************
	Trigger "RegIdent"
***********************************************************/

CREATE SEQUENCE RegIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER RegIdentTrig
  BEFORE INSERT ON Region REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.RegGID IS NULL)
    BEGIN
      SELECT RegIdentSeq.NEXTVAL INTO :New.RegGID FROM DUAL;
    END RegIdentTrig;
/

/***********************************************************
	Trigger "AreaIdent"
***********************************************************/

CREATE SEQUENCE AreaIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER AreaIdentTrig
  BEFORE INSERT ON RegistrationArea REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.AreaGID IS NULL)
    BEGIN
      SELECT AreaIdentSeq.NEXTVAL INTO :New.AreaGID FROM DUAL;
    END AreaIdentTrig;
/

/***********************************************************
	Trigger "StrIdent"
***********************************************************/

CREATE SEQUENCE StrIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER StrIdentTrig
  BEFORE INSERT ON Street REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.StrGID IS NULL)
    BEGIN
      SELECT StrIdentSeq.NEXTVAL INTO :New.StrGID FROM DUAL;
    END StrIdentTrig;
/

/***********************************************************
	Trigger "WstIdent"
***********************************************************/

CREATE SEQUENCE WstIdentSeq
  INCREMENT BY 1 START WITH 100
   NOMAXVALUE;

CREATE TRIGGER WstIdentTrig
  BEFORE INSERT ON Workstation REFERENCING NEW AS New 
   FOR EACH ROW WHEN (New.WstGID IS NULL)
    BEGIN
      SELECT WstIdentSeq.NEXTVAL INTO :New.WstGID FROM DUAL;
    END WstIdentTrig;
/

/*	End
*/
