unit Main;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Menus, ComCtrls, Db,
  DBTables, form_Common;

type
  TSrvMainForm = class(TCommonForm)
    MainMenu: TMainMenu;
    FileExitItem: TMenuItem;
    StatusLine: TStatusBar;
    AdminMenu: TMenuItem;
    ImportItem: TMenuItem;
    WstAdminItem: TMenuItem;
    KZCenter: TDatabase;
    WstRplDB: TDatabase;
    SyncItem: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure ShowHint(Sender: TObject);
    procedure FileExit(Sender: TObject);
    procedure ImportItemClick(Sender: TObject);
    procedure WstAdminItemClick(Sender: TObject);
    procedure SyncItemClick(Sender: TObject);
  end;

var
  SrvMainForm: TSrvMainForm;

implementation

uses Replications, WstWizard, Unit_GlobalObjects, StrConst;

{$R *.DFM}

procedure TSrvMainForm.FormCreate(Sender: TObject);
var username : String;
	names : TStringList;
begin
  inherited FormCreate(Sender);
  Application.OnHint := ShowHint;
  KZCenter.AliasName := AppInfo.AliasSrv;
  names := TStringList.Create;
  try
	Session.GetAliasNames(names);
	if names.IndexOf(KZCenter.AliasName)=-1 then
		raise Exception.Create(ERR_IVALID_ALIAS+KZCenter.AliasName);
  except
	on E: Exception do
	begin
		names.Free;
		HandleException(E);
		Exit;
	end;
  end;
  names.Free;
  KZCenter.Params.Clear;
  try
	  username := AppInfo.ReadStringEx(SUBKEY_SETTINGS,'USERNAME');
  except
	  username := '';
  end;
  KZCenter.Params.Add('USER NAME=' + username);
  while not KZCenter.Connected do
	try
		KZCenter.Open;
	except
		on E: EDBEngineError do
			HandleException(E);
		on E: EDatabaseError do
		begin
			Break;
		end;
		on E: Exception do
		begin
			HandleException(E);
			Break;
		end;
	end;
end;

procedure TSrvMainForm.ShowHint(Sender: TObject);
begin
  StatusLine.SimpleText := Application.Hint;
end;

procedure TSrvMainForm.FileExit(Sender: TObject);
begin
	Close;
end;

procedure TSrvMainForm.ImportItemClick(Sender: TObject);
begin
//  MessageDlg('', mtInformation, [mbYes, mbNo], 0);
	TReplicator.ImWorkstationToServer;
end;

procedure TSrvMainForm.WstAdminItemClick(Sender: TObject);
var
  AdminWizard: TAdminWizard;
begin
	AdminWizard := TAdminWizard.Create(self);
	try
		AdminWizard.ShowModal;
	finally
		FreeAndNil(AdminWizard);
	end;
//	TReplicator.ExServerToWorkstation;
end;

procedure TSrvMainForm.SyncItemClick(Sender: TObject);
begin
	TReplicator.ImExternalToServer;
end;

end.
