unit WWDataModule;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, RxMemDS;

type
  TWWDM = class(TDataModule)
    dsOperator: TDataSource;
    dsWorkStation: TDataSource;
    dsHospital: TDataSource;
    itOperator: TQuery;
    itWorkstation: TQuery;
    itHospital: TQuery;
    dsRegion: TDataSource;
    itRegionNotNull: TQuery;
    itRegion: TRxMemoryData;
    dsBrigade: TDataSource;
    itBrigade: TQuery;
    sqlLinkedLPU: TQuery;
    sqlAvailLPU: TQuery;
    sqlCleanBrigHosp: TQuery;
    dsCity: TDataSource;
    itCityNotNull: TQuery;
    itCity: TRxMemoryData;
    itCityNotNullCITYGID: TFloatField;
    itCityNotNullCITYNAME: TStringField;
    itCityNotNullCITYSOATO: TStringField;
    itCityNotNullCITYOKATO: TStringField;
    itCityNotNullREGGID: TFloatField;
    procedure itAfterScroll(DataSet: TDataSet);
    procedure itRegionAfterScroll(DataSet: TDataSet);
    procedure itRegionAfterOpen(DataSet: TDataSet);
    procedure DataModuleCreate(Sender: TObject);
    procedure itCityAfterOpen(DataSet: TDataSet);
    procedure itCityAfterScroll(DataSet: TDataSet);
  private
	initItRegion, initItCity : Boolean;
	{ Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses WstWizard;

procedure TWWDM.itAfterScroll(DataSet: TDataSet);
begin
	TAdminWizard(Owner).CheckControls;
end;


procedure TWWDM.itRegionAfterScroll(DataSet: TDataSet);
var sf : TSimpleFilter;
begin
	if initItRegion then Exit;
	if DataSet.FieldValues['RegGID']=null then
	begin
		itHospital.SQL[2]:='IS NULL';
		sf := TSimpleFilter.Create(itCityNotNull.Filter);
		try
			sf.PutValue('REGGID', ' IS NULL');
			itCityNotNull.Filter := sf.ToFilterString;
		finally
			sf.Free;
		end;
	end	else
	begin
		itHospital.SQL[2]:='=:RegGID';
		itHospital.ParamByName('RegGID').DataType := ftInteger;
		sf := TSimpleFilter.Create(itCityNotNull.Filter);
		try
			sf.PutValue('REGGID', '=' + itRegion.FieldByName('RegGID').AsString);
			itCityNotNull.Filter := sf.ToFilterString;
		finally
			sf.Free;
		end;
	end;
	itCityNotNull.Filtered := True;
	itHospital.Open;
	itCity.Close;
	itCity.Open;
	itAfterScroll(DataSet);
end;

procedure TWWDM.itRegionAfterOpen(DataSet: TDataSet);
begin
	if initItRegion then Exit;
	initItRegion := true;
	itRegion.EmptyTable;
	itRegion.LoadFromDataSet(itRegionNotNull,0,lmCopy);
	itRegion.AppendRecord([null,'...',null]);
	itRegion.First;
	initItRegion := false;
end;

procedure TWWDM.DataModuleCreate(Sender: TObject);
begin
	initItRegion := False;
	initItCity := False;
end;

procedure TWWDM.itCityAfterOpen(DataSet: TDataSet);
begin
	if not initItCity then
	begin
		initItCity := true;
		itCity.LoadFromDataSet(itCityNotNull,0,lmCopy);
		itCity.AppendRecord([null,'...',null]);
		itCity.First;
		initItCity := false;
	end;
end;

procedure TWWDM.itCityAfterScroll(DataSet: TDataSet);
begin
	if initItCity then Exit;
	if DataSet.FieldValues['CityGID']=null then
	begin
		itBrigade.SQL[2]:='IS NULL';
	end	else
	begin
		itBrigade.SQL[2]:='=:CityGID';
		itBrigade.ParamByName('CityGID').DataType := ftInteger;
	end;
	itBrigade.Open;
	itWorkstation.Open;
	itAfterScroll(DataSet);
end;

end.
