unit form_Operator;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, dbtables,
  DBObjects;

type
  TOperatorDlg = class(TForm)
	OKBtn: TButton;
	CancelBtn: TButton;
	Bevel1: TBevel;
	lbName: TLabel;
	edName: TEdit;
	lbLevel: TLabel;
	cbLevel: TComboBox;
	procedure OKBtnClick(Sender: TObject);
  private
	{ Private declarations }
	Table : TTable;
	WstGID : Variant;
  public
	{ Public declarations }
	DBObj : TSimpleDBObject;
	constructor Create(AOwner: TComponent; Table : TTable;
		const UserGID, WstGID : Variant); reintroduce;
	destructor Destroy; override;
  end;

implementation

{$R *.DFM}

uses Dialogs, StrConst;

{ TOperatorDBObj }

procedure TOperatorDlg.OKBtnClick(Sender: TObject);
begin
	if edName.Text='' then
	begin
		ShowMessage(ERR_MSG_OPERATOR_NAME);
		ActiveControl := edName;
		Exit;
	end else DBObj.SetFieldValue('UserName',edName.Text);
	DBObj.SetFieldValue('UserLevel',cbLevel.ItemIndex);
	DBObj.SetFieldValue('UserHash','0');
	DBObj.Save;
	Table.Locate('USERNAME;WSTGID', VarArrayOf([
		edName.Text,
		WstGID]), []);
	ModalResult := mrOk;
end;

constructor TOperatorDlg.Create(AOwner: TComponent; Table: TTable;
  const UserGID, WstGID: Variant);
var	Key : TFieldSet;
begin
	inherited Create(AOwner);

	self.Table := Table;
	self.WstGID := WstGID;
	DBObj := TSimpleDBObject.Create(Table,'UserGID;WstGID');
	Key := TFieldSet.Create;
	try
		Key.Add('UserGID',UserGID);
		Key.Add('WstGID',WstGID);
		DBObj.Load(Key);
	finally
		Key.Free;
	end;
	DBObj.SetFieldValue('WstGID', WstGID);
	edName.Text := StringValue(DBObj.GetFieldValue('UserName'));
	cbLevel.ItemIndex := IntegerValue(DBObj.GetFieldValue('UserLevel'));
end;

destructor TOperatorDlg.Destroy;
begin
	DBObj.Free;
	inherited;
end;

end.
