unit form_Workstation;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, dbtables, dialogs,  
  DBObjects;

type
  TWorkstationDialog = class(TForm)
    OKBtn: TButton;
	CancelBtn: TButton;
	Bevel1: TBevel;
    edName: TEdit;
    lbName: TLabel;
    procedure OKBtnClick(Sender: TObject);
  private
	{ Private declarations }
  public
	{ Public declarations }
	DBObj : TSimpleDBObject;
	constructor Create(AOwner: TComponent; Table : TTable;
		const WstGID, HspGID, BrgGID: Variant); reintroduce;
	destructor Destroy; override;
  end;

implementation

{$R *.DFM}

uses StrConst;

{ TWorkstationDialog }

constructor TWorkstationDialog.Create(AOwner: TComponent; Table: TTable;
  const WstGID, HspGID, BrgGID: Variant);
var	Key : TFieldSet;
begin
	inherited Create(AOwner);

	DBObj := TSimpleDBObject.Create(Table,'WstGID');
	Key := TFieldSet.Create;
	try
		Key.Add('WstGID',WstGID);
		DBObj.Load(Key);
	finally
		Key.Free;
	end;
	DBObj.SetFieldValue('HspGID', HspGID);
	DBObj.SetFieldValue('BrgGID', BrgGID);
	edName.Text := StringValue(DBObj.GetFieldValue('WstName'));
end;

destructor TWorkstationDialog.Destroy;
begin
	DBObj.Free;
	inherited;
end;

procedure TWorkstationDialog.OKBtnClick(Sender: TObject);
begin
	if edName.Text='' then
	begin
		ShowMessage(ERR_MSG_NO_NAME);
		ActiveControl := edName;
		Exit;
	end else DBObj.SetFieldValue('WstName',edName.Text);
	DBObj.Save;
	ModalResult := mrOk;
end;

end.
